Extending Qt Creator Manual | EventCallback

Extending Qt Creator Manual 4.5.2

# EventCallback Class

Header: | #include <EventCallback>

- List of all members, including inherited members

## Public Functions

| EventCallback(IDebugEventCallbacks *wrapped)
virtual | ~EventCallback() = default

## Detailed Description

Event handler wrapping the original IDebugEventCallbacks to catch and store exceptions (report crashes as stop reasons).

## Member Function Documentation

### EventCallback::EventCallback(IDebugEventCallbacks *wrapped)

Default constructs an instance of EventCallback.

### `[default]` EventCallback::~EventCallback()

Destroys the instance of EventCallback. The destructor is virtual.